class PrimeNumbers {
  
  static boolean[] primes = new boolean[0];
  
  public static int nextPrime(int n) {
    while (!isPrime(n)) {
      n++;
    }
    return n;
  }

  static boolean isPrime(int n) {
    if (n >= primes.length) {
      calculate(2 * n);
    }
    return primes[n];
  }
  
  static void calculate(int n) {
    primes = new boolean[n];
    for (int i = 1; i < n; i++) {
      primes[i] = true;
    }
    for (int i = 2; i < n; i++) {
      if (primes[i]) {
        for (int j = i * 2; j < n; j += i) {
          primes[j] = false;
        }
      }
    }
  }

  static void print() {
    for (int i = 0; i < primes.length; i++) {
      Out.println(i + ": " + primes[i]);
    }
  }
}